#include<iostream>
using namespace std;
int main()
{
    unsigned long long L,m,n;
    cin>>L>>m>>n;
    unsigned long long counter=1;
    unsigned long long i=m;
    for(i;i<=L;i+=m)
    {
        counter++;
        m+=n;
    }
    cout<<counter;
    return 0;
}
